## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.ThumbnailCanvasComponentListener

    java.lang.Object
      java.awt.event.ComponentAdapter
          org.apache.batik.apps.svgbrowser.ThumbnailDialog.ThumbnailCanvasComponentListener

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.util.EventListener

Enclosing class:
  ThumbnailDialog

    protected class ThumbnailDialog.ThumbnailCanvasComponentListener

extends java.awt.event.ComponentAdapter

Used to allow the SVG document being displayed by the thumbnail to be resized properly when parent resizes.

Constructor Summary
`protected` `ThumbnailDialog.ThumbnailCanvasComponentListener()`

Method Summary
`void` `componentResized(java.awt.event.ComponentEvent e)`

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentMoved, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThumbnailDialog.ThumbnailCanvasComponentListener

    protected ThumbnailDialog.ThumbnailCanvasComponentListener()

Method Detail

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`
  Overrides:
    `componentResized` in class `java.awt.event.ComponentAdapter`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.